Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.SecretDecoderRing
Class Encoding.Template

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.SEQUENCE.Template
            |
            +--org.mozilla.jss.SecretDecoderRing.Encoding.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  Encoding

public static class Encoding.Template
extends SEQUENCE.Template

An ASN.1 class for decoding the SecretDecoderRing result. This class is used internally by the SecretDecoderRing. You need not use this class directly in order to use the SecretDecoderRing.

Constructor Summary
`Encoding.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes a SEQUENCE from its BER encoding.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes a SEQUENCE from its BER encoding, where the SEQUENCE itself has an implicit tag.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Methods inherited from class org.mozilla.jss.asn1.SEQUENCE.Template
`addElement, addElement, addElement, addElement, addOptionalElement, addOptionalElement, defaultAt, implicitTagAt, insertElementAt, insertElementAt, insertElementAt, insertElementAt, insertOptionalElementAt, insertOptionalElementAt, isOptionalAt, removeAllElements, removeElementAt, size, templateAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Encoding.Template

    public Encoding.Template()

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.

  Specified by:
    `tagMatch` in interface `ASN1Template`
  Overrides:
    `tagMatch` in class `SEQUENCE.Template`

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Description copied from class: `SEQUENCE.Template`
  Decodes a SEQUENCE from its BER encoding.

  Specified by:
    `decode` in interface `ASN1Template`
  Overrides:
    `decode` in class `SEQUENCE.Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `java.io.IOException`
    `InvalidBERException`

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Description copied from class: `SEQUENCE.Template`
  Decodes a SEQUENCE from its BER encoding, where the SEQUENCE itself has an implicit tag.

  Specified by:
    `decode` in interface `ASN1Template`
  Overrides:
    `decode` in class `SEQUENCE.Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `java.io.IOException`
    `InvalidBERException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD